---
apiVersion: v1
items:
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2020-05-26T09:56:08Z"
    creationTimestamp: "2020-05-26T09:39:27Z"
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2020-05-26T09:56:08Z"
    name: kube-controller-manager
    namespace: openshift-kube-controller-manager
    resourceVersion: "20234"
    selfLink: /api/v1/namespaces/openshift-kube-controller-manager/endpoints/kube-controller-manager
    uid: b801c07f-6a22-45e4-9e38-cc45e225e5d7
  subsets:
  - addresses:
    - ip: 10.0.0.3
      nodeName: skumari-gcp-wd9nd-master-0.c.openshift-gce-devel.internal
      targetRef:
        kind: Pod
        name: kube-controller-manager-skumari-gcp-wd9nd-master-0.c.openshift-gce-devel.internal
        namespace: openshift-kube-controller-manager
        resourceVersion: "19513"
        uid: 5c77d688-e4a9-4042-a699-0d5caeee0fbf
    - ip: 10.0.0.4
      nodeName: skumari-gcp-wd9nd-master-1.c.openshift-gce-devel.internal
      targetRef:
        kind: Pod
        name: kube-controller-manager-skumari-gcp-wd9nd-master-1.c.openshift-gce-devel.internal
        namespace: openshift-kube-controller-manager
        resourceVersion: "18620"
        uid: 4e9cba57-1d86-4b3e-adc1-0e94638c2bfa
    - ip: 10.0.0.6
      nodeName: skumari-gcp-wd9nd-master-2.c.openshift-gce-devel.internal
      targetRef:
        kind: Pod
        name: kube-controller-manager-skumari-gcp-wd9nd-master-2.c.openshift-gce-devel.internal
        namespace: openshift-kube-controller-manager
        resourceVersion: "20233"
        uid: e1dd1b31-b19f-494f-838b-b1366dd97449
    ports:
    - name: https
      port: 10257
      protocol: TCP
kind: EndpointsList
metadata:
  resourceVersion: "56129"
  selfLink: /api/v1/namespaces/openshift-kube-controller-manager/endpoints
